Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 216241

Summary: sys-devel/gcc - gcj stuff not slotted
Product: Gentoo Linux Reporter: Tiziano Müller <dev-zero>
Component: New packagesAssignee: Gentoo Toolchain Maintainers <toolchain>
Status: RESOLVED FIXED    
Severity: normal CC: Adrian.Bassett, ansla80, blog, defuebr, ericlngls1, ja, jarausch, jisakiel, johannes.hirte, jrmalaq, mieszkoslusarczyk, n-roeser, plaes, specious, walch.martin
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 136382    
Bug Blocks:    

Description Tiziano Müller gentoo-dev 2008-04-04 20:46:10 UTC
[...]
collision-protect> * Checking for collisions...
collision-protect> * /usr/lib64/security/classpath.security already exists in /
collision-protect> * Package collides with existing files
[...]

`paludis -o /usr/lib64/security/classpath.security` reveals sys-devel/gcc-4.2.3 as the owner of the file.


in src_install there's another (uncatched) error:
[...]
make[1]: Leaving directory `/var/tmp/paludis/sys-devel/gcc-4.3.0/work/build'
find: `/var/tmp/paludis/sys-devel/gcc-4.3.0/image/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.0/install-tools': No such file or directory
`/var/tmp/paludis/sys-devel/gcc-4.3.0/image/usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.0/install-tools': No such file or directory
>>> Done src_install
[...]
Comment 1 SpanKY gentoo-dev 2008-04-07 22:47:53 UTC
*** Bug 216648 has been marked as a duplicate of this bug. ***
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-09 23:42:47 UTC
*** Bug 225683 has been marked as a duplicate of this bug. ***
Comment 3 Carsten Lohrke (RETIRED) gentoo-dev 2008-08-29 22:48:30 UTC
*** Bug 236106 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Santos 2008-10-06 19:14:08 UTC
I almost filed another duplicate of this bug because my previous search on "gcc" and "collision" turned up nothing, good thing I googled it.  So let me include my output to make this bug more find-able.

 * Messages for package sys-devel/gcc-4.3.2:
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/lib64/security/classpath.security
 *      /usr/lib/pkgconfig/libgcj-4.3.pc
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * sys-devel/gcc-4.3.1-r1
 *      /usr/lib/pkgconfig/libgcj-4.3.pc
 *      /usr/lib64/security/classpath.security
 *
 * Package 'sys-devel/gcc-4.3.2' NOT merged due to file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.
Comment 5 Mark Loeser (RETIRED) gentoo-dev 2008-10-10 15:21:35 UTC
*** Bug 240692 has been marked as a duplicate of this bug. ***
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2008-10-14 23:12:40 UTC
*** Bug 241904 has been marked as a duplicate of this bug. ***
Comment 7 Harald van Dijk (RETIRED) gentoo-dev 2008-10-23 18:47:58 UTC
*** Bug 243394 has been marked as a duplicate of this bug. ***
Comment 8 Jeroen Roovers gentoo-dev 2008-10-27 18:32:07 UTC
*** Bug 244648 has been marked as a duplicate of this bug. ***
Comment 9 Joe Stein 2008-11-07 16:07:58 UTC
(In reply to comment #4)
> I almost filed another duplicate of this bug because my previous search on
> "gcc" and "collision" turned up nothing, good thing I googled it.  So let me
> include my output to make this bug more find-able.
> 
>  * Messages for package sys-devel/gcc-4.3.2:
>  * This package will overwrite one or more files that may belong to other
>  * packages (see list below). You can use a command such as `portageq
>  * owners / <filename>` to identify the installed package that owns a
>  * file. If portageq reports that only one package owns a file then do
>  * NOT file a bug report. A bug report is only useful if it identifies at
>  * least two or more packages that are known to install the same file(s).
>  * If a collision occurs and you can not explain where the file came from
>  * then you should simply ignore the collision since there is not enough
>  * information to determine if a real problem exists. Please do NOT file
>  * a bug report at http://bugs.gentoo.org unless you report exactly which
>  * two packages install the same file(s). Once again, please do NOT file
>  * a bug report unless you have completely understood the above message.
>  *
>  * Detected file collision(s):
>  *
>  *      /usr/lib64/security/classpath.security
>  *      /usr/lib/pkgconfig/libgcj-4.3.pc
>  *
>  * Searching all installed packages for file collisions...
>  *
>  * Press Ctrl-C to Stop
>  *
>  * sys-devel/gcc-4.3.1-r1
>  *      /usr/lib/pkgconfig/libgcj-4.3.pc
>  *      /usr/lib64/security/classpath.security  /usr/lib64/security/classpath.security
>  *
>  * Package 'sys-devel/gcc-4.3.2' NOT merged due to file collisions. If
>  * necessary, refer to your elog messages for the whole content of the
>  * above message.
> 


I was have a similar problem (disable the gcj use flag fix it) with the same error  but i did not use the mutislot.  If I understand it gcj use flag program just build the gnu java compiler wich realy is not needed since jave now provide there own gnu compiler(if i'm not miss-reading anything) you would just need to do a little diging if you need the java compiler and find it(I don't know what it is of hand.).   
Comment 10 Jeroen Roovers gentoo-dev 2008-11-26 21:34:21 UTC
*** Bug 248879 has been marked as a duplicate of this bug. ***
Comment 11 Guy 2009-01-03 04:00:16 UTC
I encountered the same problem when upgrading the gcc on an amd64 based system from gcc-4.2.4 to gcc-4.3.2

I worked around the problem as noted in my gentoo forums post: http://forums.gentoo.org/viewtopic-p-5359175.html#5359175

Is there a better solution?
Comment 12 Ildar Sagdejev 2009-01-21 19:00:37 UTC
I ran into this problem upgrading my gcc with USE="gcj".  As I can live with just one gcc version at the moment, my workaround was:

1) Emerge new gcc with USE="-gcj"
2) Unmerge old gcc
3) Re-emerge new gcc with USE="gcj"